Name:       ibus-hangul
Summary:    a Korean input method engine for IBus
Version:    1.5.1
Release:    3
License:    GPLv2+
URL:        https://github.com/libhangul/%{name}
Source0:    https://github.com/libhangul/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

Patch1:     ibus-hangul-setup-abspath.patch

BuildRequires:  gettext-devel automake intltool libtool gnome-common python3 pkgconfig
BuildRequires:  libhangul-devel >= 0.1.0 ibus-devel >= 1.3.99 desktop-file-utils

Requires:   ibus >= 1.3.99 libhangul >= 0.1.0 python3-gobject python3

%description
The Hangul engine for IBus platform. It provides Korean input method from
libhangul.

%package_help

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--with-python=python3
%make_build

%install
make DESTDIR=%{buildroot} install INSTALL="install -p"
install -d %{buildroot}%{_datadir}/appdata
sed -i 's!^Exec=ibus-setup-hangul!Exec=%{_libexecdir}/ibus-setup-hangul!' %{buildroot}%{_datadir}/applications/ibus-setup-hangul.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/ibus-setup-hangul.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_libexecdir}/ibus-setup-hangul
%{_libexecdir}/ibus-engine-hangul
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-hangul.desktop
%{_datadir}/ibus/component/*
%{_datadir}/%{name}
%exclude %{_bindir}/ibus-setup-hangul

%files help
%doc README COPYING AUTHORS

%post
if [ -x %{_bindir}/ibus ];then
%{_bindir}/ibus write-cache --system &>/dev/null || :
fi

%postun
if [ -x %{_bindir}/ibus ];then
%{_bindir}/ibus write-cache --system &>/dev/null || :
fi

%changelog
* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 1.5.1-3
- Package init
